function [w_s]=shearing_filters_Myer_odd(n1,level)
% This function computes the shearing filters using the Meyer window
% function.
%
% Inputs: n1 - size of shearing matrix desired
%         level - the parameter determining the number of directions
%
% Outputs: w_s where w_s(:,:,k) - n1 by n1 shearing matrix at orientation k
% 
% Written by Glenn R. Easley on Feb 2, 2006. 
% Copyright 2006 by Glenn R. Easley. All Right Reserved.


% revised by sheng yi, in line   ' revise_win=[ones(N/2,M/2);zeros(N/2,M/2)]; 
%                                  wf=[wf(:,1:M/2).*revise_win,wf(:,M/2+1:M).*(~revise_win)];'



[x11,y11,x12,y12,F1]=gen_x_y_cordinates_odd(n1);

N=2*n1;%revise 
M=2^level;

wf=windowing(ones(N,1),2^level);
revise_win=[ones(N/2,M/2);zeros(N/2,M/2)]; %revise
wf=[wf(:,1:M/2).*revise_win,wf(:,M/2+1:M).*(~revise_win)];%revise
w=zeros(N,N/2,2^level);
w_s=zeros(n1,n1,M);

%h=[N/4:-1:1,1:N/4]./(N/2);
%h=1./(h);
for k=1:M,
    temp=wf(:,k)*ones(N/2,1)';
    w_s(:,:,k)=rec_from_pol(temp,n1,x11,y11,x12,y12,F1);
end


